Subject: Re: bug#72704: 29.4; repunctuate-sentences ignores NO-QUERY

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Aug 2024 12:33:12 +0300

> From: Brian Green <[email-masked]>
> Date: Sat, 24 Aug 2024 01:29:11 -0700
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], [email-masked]
> 
> I submitted this "bug" report because I mis-interpreted the docstring,
> and because I was approaching this command with a preconceived idea
> about how it should work.  I think Eli is right.  I can't think of a
> good reason why I would need to stipulate a certain behavior before
> calling the command which I can already get at any point while the
> command is running.

The doc string indeed could use some improvements, at least in stating
explicitly what happens in interactive usage and what only when called
from Lisp.